package org.jboss.threads;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSDestinationDefinition;
import javax.jms.Message;
import javax.jms.MessageListener;

@JMSDestinationDefinition(
        name = "java:/jms/queue/examplequeue",
        interfaceName = "javax.jms.Queue",
        destinationName = "examplequeue"
)
@MessageDriven(
    name = "TcclExampleMDB",
    activationConfig = {
        @ActivationConfigProperty(propertyName="destinationType", propertyValue="javax.jms.Queue"),
        @ActivationConfigProperty(propertyName="destination", propertyValue="java:/jms/queue/examplequeue")
    }
)
public class TcclExampleMDB implements MessageListener {

    @Override
    public void onMessage(Message message) {
        System.out.println("Do something");
    }
}